com.fasterxml.jackson.databind.deser.std

## Class TokenBufferDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<TokenBuffer>
      - - com.fasterxml.jackson.databind.deser.std.TokenBufferDeserializer

All Implemented Interfaces:
  Serializable

    public class TokenBufferDeserializer
    extends StdScalarDeserializer<TokenBuffer>

We also want to directly support deserialization of `TokenBuffer`.

Note that we use scalar deserializer base just because we claim to be of scalar for type information inclusion purposes; actual underlying content can be of any (Object, Array, scalar) type.

Since 2.3, another important thing is that possible native ids (type id, object id) should be properly copied even when converting with `TokenBuffer`. Such ids are supported if (and only if!) source `JsonParser` supports them.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`static TokenBufferDeserializer` `instance`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`TokenBufferDeserializer()`

### Method Summary

Methods
`protected TokenBuffer` `createBufferInstance(JsonParser jp)`
`TokenBuffer` `deserialize(JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final TokenBufferDeserializer instance

### Constructor Detail

#### TokenBufferDeserializer

    public TokenBufferDeserializer()

### Method Detail

#### deserialize

    public TokenBuffer deserialize(JsonParser jp,
                          DeserializationContext ctxt)
                            throws IOException,
                                   JsonProcessingException

Description copied from class: `JsonDeserializer`
Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

Specified by:
  `deserialize` in class `JsonDeserializer<TokenBuffer>`
Parameters:
  `jp` - Parsed used for reading JSON content
  `ctxt` - Context that can be used to access information about this deserialization activity.
Returns:
  Deserialized value
Throws:
  `IOException`
  `JsonProcessingException`

#### createBufferInstance

    protected TokenBuffer createBufferInstance(JsonParser jp)